Get the import status

Prev Next
Get
/v1/EntityImport/{importId}/status

Returns the status of the file import.

Security
API Key: Authorization
Header parameter nameAuthorization

Add an Authorization header to authenticate requests originating outside of Zilliant's internal network. Set the header to Authorization: OAuth <tokenResponseBase64>.

<tokenResponseBase64> is the Base64-encoded entire JSON response body returned by the Salesforce OAuth token endpoint. Encode the full JSON payload, not only the access_token field.

For details, read Request an access token.

Header parameters
X-Forwarded-Host
string

OAuth host for your environment. Use it for all requests that originate outside Zilliant’s internal network. For details, read X-Forwarded-Host header in Introduction.

Path parameters
importId
stringRequired

Import identifier returned in a successful 201 response from the POST Invoke the file import workflow request.

Responses
200

Returns import status and timestamps.

Successful import

Example of a successful import

{
  "status": "SUCCEEDED",
  "startDate": "2021-09-28T13:09:25Z",
  "stopDate": "2021-09-28T13:16:06Z",
  "clientErrorCallingService": false,
  "entityImportId": "2587c81c-b9fc-4873-ae2f-421b292d2c2b"
}
Failed import

Example of a failed import

{
  "status": "FAILED",
  "startDate": "2021-09-28T13:09:25Z",
  "stopDate": "2021-09-28T13:16:06Z",
  "clientErrorCallingService": false,
  "entityImportId": "2587c81c-bs9fc-4873-ae2f-421b292d2c2b"
}
object
status
string

Current status of the import job.

Valid values[ "RUNNING", "FAILED", "SUCCEEDED" ]
ExampleSUCCEEDED
startDate
string (date-time)

UTC timestamp when the import job started.

Example2021-09-28T13:09:25Z
stopDate
string (date-time)

UTC timestamp when the import job finished.

Example2021-09-28T13:16:06Z
clientErrorCallingService
boolean

Indicates whether a client-side error occurred when calling the service.

Valid values[ true, false ]
Examplefalse
entityImportId
string (uuid)

Unique identifier of the entity import job.

Example2587c81c-b9fc-4873-ae2f-421b292d2c2b
400

Bad request.

404

Import ID not found.